Package org.apache.avro.idl

# Class IdlLexer

java.lang.Object
org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>
org.antlr.v4.runtime.Lexer
org.apache.avro.idl.IdlLexer

All Implemented Interfaces:
  `org.antlr.v4.runtime.TokenSource`

public class IdlLexer extends org.antlr.v4.runtime.Lexer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.antlr.v4.runtime.atn.ATN`
`_ATN`
`protected static final org.antlr.v4.runtime.dfa.DFA[]`
`_decisionToDFA`
`static final String`
`_serializedATN`
`protected static final org.antlr.v4.runtime.atn.PredictionContextCache`
`_sharedContextCache`
`static final int`
`Array`
`static final int`
`At`
`static final int`
`BFalse`
`static final int`
`Boolean`
`static final int`
`BTrue`
`static final int`
`Bytes`
`static String[]`
`channelNames`
`static final int`
`Colon`
`static final int`
`Comma`
`static final int`
`Dash`
`static final int`
`Date`
`static final int`
`Decimal`
`static final int`
`DocComment`
`static final int`
`Dot`
`static final int`
`Double`
`static final int`
`EmptyComment`
`static final int`
`Enum`
`static final int`
`Equals`
`static final int`
`Error`
`static final int`
`Fixed`
`static final int`
`Float`
`static final int`
`FloatingPointLiteral`
`static final int`
`GT`
`static final int`
`IdentifierToken`
`static final int`
`IDL`
`static final int`
`Import`
`static final int`
`Int`
`static final int`
`IntegerLiteral`
`static final int`
`LBrace`
`static final int`
`LBracket`
`static final int`
`LocalTimestamp`
`static final int`
`Long`
`static final int`
`LParen`
`static final int`
`LT`
`static final int`
`Map`
`static String[]`
`modeNames`
`static final int`
`MultiLineComment`
`static final int`
`Namespace`
`static final int`
`Null`
`static final int`
`Oneway`
`static final int`
`Protocol`
`static final int`
`QuestionMark`
`static final int`
`RBrace`
`static final int`
`RBracket`
`static final int`
`Record`
`static final int`
`RParen`
`static final String[]`
`ruleNames`
`static final int`
`Schema`
`static final int`
`Semicolon`
`static final int`
`SingleLineComment`
`static final int`
`String`
`static final int`
`StringLiteral`
`static final int`
`T__0`
`static final int`
`Throws`
`static final int`
`Time`
`static final int`
`Timestamp`
`static final String[]`
`tokenNames`
Deprecated.
Use `VOCABULARY` instead.
`static final int`
`Union`
`static final int`
`UUID`
`static final org.antlr.v4.runtime.Vocabulary`
`VOCABULARY`
`static final int`
`Void`
`static final int`
`WS`

### Fields inherited from class org.antlr.v4.runtime.Lexer

`_channel, _factory, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenFactorySourcePair, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP`

### Fields inherited from class org.antlr.v4.runtime.Recognizer

`_interp, EOF`

## Constructor Summary

Constructors
Constructor
Description
`IdlLexer(org.antlr.v4.runtime.CharStream input)`

## Method Summary

Modifier and Type
Method
Description
`org.antlr.v4.runtime.atn.ATN`
`getATN()`
`String[]`
`getChannelNames()`
`String`
`getGrammarFileName()`
`String[]`
`getModeNames()`
`String[]`
`getRuleNames()`
`String`
`getSerializedATN()`
`String[]`
`getTokenNames()`
Deprecated.
`org.antlr.v4.runtime.Vocabulary`
`getVocabulary()`

### Methods inherited from class org.antlr.v4.runtime.Lexer

`emit, emit, emitEOF, getAllTokens, getChannel, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getSourceName, getText, getToken, getTokenFactory, getType, mode, more, nextToken, notifyListeners, popMode, pushMode, recover, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip`

### Methods inherited from class org.antlr.v4.runtime.Recognizer

`action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getParseInfo, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, precpred, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _decisionToDFA

protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

### _sharedContextCache

protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

### T__0

public static final int T__0

See Also:
  - Constant Field Values

### DocComment

public static final int DocComment

See Also:
  - Constant Field Values

### EmptyComment

public static final int EmptyComment

See Also:
  - Constant Field Values

### MultiLineComment

public static final int MultiLineComment

See Also:
  - Constant Field Values

### SingleLineComment

public static final int SingleLineComment

See Also:
  - Constant Field Values

### WS

public static final int WS

See Also:
  - Constant Field Values

### Protocol

public static final int Protocol

See Also:
  - Constant Field Values

### Namespace

public static final int Namespace

See Also:
  - Constant Field Values

### Import

public static final int Import

See Also:
  - Constant Field Values

### IDL

public static final int IDL

See Also:
  - Constant Field Values

### Schema

public static final int Schema

See Also:
  - Constant Field Values

### Enum

public static final int Enum

See Also:
  - Constant Field Values

### Fixed

public static final int Fixed

See Also:
  - Constant Field Values

### Error

public static final int Error

See Also:
  - Constant Field Values

### Record

public static final int Record

See Also:
  - Constant Field Values

### Array

public static final int Array

See Also:
  - Constant Field Values

### Map

public static final int Map

See Also:
  - Constant Field Values

### Union

public static final int Union

See Also:
  - Constant Field Values

### Boolean

public static final int Boolean

See Also:
  - Constant Field Values

### Int

public static final int Int

See Also:
  - Constant Field Values

### Long

public static final int Long

See Also:
  - Constant Field Values

### Float

public static final int Float

See Also:
  - Constant Field Values

### Double

public static final int Double

See Also:
  - Constant Field Values

### String

public static final int String

See Also:
  - Constant Field Values

### Bytes

public static final int Bytes

See Also:
  - Constant Field Values

### Null

public static final int Null

See Also:
  - Constant Field Values

### BTrue

public static final int BTrue

See Also:
  - Constant Field Values

### BFalse

public static final int BFalse

See Also:
  - Constant Field Values

### Decimal

public static final int Decimal

See Also:
  - Constant Field Values

### Date

public static final int Date

See Also:
  - Constant Field Values

### Time

public static final int Time

See Also:
  - Constant Field Values

### Timestamp

public static final int Timestamp

See Also:
  - Constant Field Values

### LocalTimestamp

public static final int LocalTimestamp

See Also:
  - Constant Field Values

### UUID

public static final int UUID

See Also:
  - Constant Field Values

### Void

public static final int Void

See Also:
  - Constant Field Values

### Oneway

public static final int Oneway

See Also:
  - Constant Field Values

### Throws

public static final int Throws

See Also:
  - Constant Field Values

### LParen

public static final int LParen

See Also:
  - Constant Field Values

### RParen

public static final int RParen

See Also:
  - Constant Field Values

### LBrace

public static final int LBrace

See Also:
  - Constant Field Values

### RBrace

public static final int RBrace

See Also:
  - Constant Field Values

### LBracket

public static final int LBracket

See Also:
  - Constant Field Values

### RBracket

public static final int RBracket

See Also:
  - Constant Field Values

### Colon

public static final int Colon

See Also:
  - Constant Field Values

### Semicolon

public static final int Semicolon

See Also:
  - Constant Field Values

### Comma

public static final int Comma

See Also:
  - Constant Field Values

### At

public static final int At

See Also:
  - Constant Field Values

### Equals

public static final int Equals

See Also:
  - Constant Field Values

### Dot

public static final int Dot

See Also:
  - Constant Field Values

### Dash

public static final int Dash

See Also:
  - Constant Field Values

### QuestionMark

public static final int QuestionMark

See Also:
  - Constant Field Values

### LT

public static final int LT

See Also:
  - Constant Field Values

### GT

public static final int GT

See Also:
  - Constant Field Values

### StringLiteral

public static final int StringLiteral

See Also:
  - Constant Field Values

### IntegerLiteral

public static final int IntegerLiteral

See Also:
  - Constant Field Values

### FloatingPointLiteral

public static final int FloatingPointLiteral

See Also:
  - Constant Field Values

### IdentifierToken

public static final int IdentifierToken

See Also:
  - Constant Field Values

### channelNames

public static String[] channelNames

### modeNames

public static String[] modeNames

### ruleNames

public static final String[] ruleNames

### VOCABULARY

public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

### tokenNames

@Deprecated public static final String[] tokenNames
Deprecated.
Use `VOCABULARY` instead.

### _serializedATN

public static final String _serializedATN

See Also:
  - Constant Field Values

### _ATN

public static final org.antlr.v4.runtime.atn.ATN _ATN

## Constructor Details

### IdlLexer

public IdlLexer(org.antlr.v4.runtime.CharStream input)

## Method Details

### getTokenNames

@Deprecated public String[] getTokenNames()
Deprecated.

Overrides:
  `getTokenNames` in class `org.antlr.v4.runtime.Lexer`

### getVocabulary

public org.antlr.v4.runtime.Vocabulary getVocabulary()

Overrides:
  `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

### getGrammarFileName

public String getGrammarFileName()

Specified by:
  `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

### getRuleNames

public String[] getRuleNames()

Specified by:
  `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

### getSerializedATN

public String getSerializedATN()

Overrides:
  `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

### getChannelNames

public String[] getChannelNames()

Overrides:
  `getChannelNames` in class `org.antlr.v4.runtime.Lexer`

### getModeNames

public String[] getModeNames()

Overrides:
  `getModeNames` in class `org.antlr.v4.runtime.Lexer`

### getATN

public org.antlr.v4.runtime.atn.ATN getATN()

Specified by:
  `getATN` in class `org.antlr.v4.runtime.Recognizer<Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`